Last Comment Bug 663784 - gfxWindowsPlatform.cpp doesn't compile without D2D
: gfxWindowsPlatform.cpp doesn't compile without D2D
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla7
Assigned To: Jacek Caban
:
:
Mentors:
Depends on:
Blocks: 663036
  Show dependency treegraph
 
Reported: 2011-06-13 04:57 PDT by Jacek Caban
Modified: 2011-06-18 09:38 PDT (History)
4 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (791 bytes, patch)
2011-06-13 04:57 PDT, Jacek Caban
masayuki: review+
Details | Diff | Splinter Review
Fix using statement (1.72 KB, patch)
2011-06-16 05:48 PDT, Jacek Caban
masayuki: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-06-13 04:57:16 PDT
Created attachment 538863 [details] [diff] [review]
fix v1.0
Comment 1 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2011-06-13 18:15:46 PDT
Comment on attachment 538863 [details] [diff] [review]
fix v1.0

Oh, thanks!
Comment 2 Jacek Caban 2011-06-15 03:27:48 PDT
Thanks for review, pushed to inbound:

http://hg.mozilla.org/integration/mozilla-inbound/rev/e363e219a4b8
Comment 3 Matt Brubeck (:mbrubeck) 2011-06-15 08:44:10 PDT
http://hg.mozilla.org/mozilla-central/rev/e363e219a4b8
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2011-06-15 09:41:52 PDT
We don't put using statements before includes.
Comment 5 Jacek Caban 2011-06-16 05:48:30 PDT
Created attachment 539773 [details] [diff] [review]
Fix using statement

Oh, right. The attached patch fixes using statement. Previous code also had includes after using statement, this patch fixes that as well. It also removes WINCE code.
Comment 6 Jacek Caban 2011-06-17 06:03:00 PDT
Pushed to inbound:

http://hg.mozilla.org/integration/mozilla-inbound/rev/1fc165fdfa07
Comment 7 Mounir Lamouri (:mounir) 2011-06-18 09:38:35 PDT
Merged to m-c:
http://hg.mozilla.org/mozilla-central/rev/1fc165fdfa07

Note You need to log in before you can comment on or make changes to this bug.